<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/SpeakerConstants/SpeakerConstants.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a></li><li class="navelem"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a></li><li class="navelem"><a class="el" href="dir_b7463c83c41dae53927c12ce5c5c2e58.html">SpeakerConstants</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">SpeakerConstants.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;cstdint&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SpeakerConstants.h:</div>
<div class="dyncontent">
<div class="center"><img src="_speaker_constants_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_speaker_constants_2_speaker_constants_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_speaker_constants_2_speaker_constants_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_speaker_constants_2_speaker_constants_8h">
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_speaker_constants_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_speaker_constants_2_speaker_constants_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_speaker_constants_2_speaker_constants_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_speaker_constants_2_speaker_constants_8hdep">
<area shape="rect" id="node2" href="_mock_speaker_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/MockSpeakerInterface.h" alt="" coords="73,119,293,184"/>
<area shape="rect" id="node4" href="_speaker_manager_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeakerManager/test/Speaker\lManagerTest.cpp" alt="" coords="227,232,432,297"/>
<area shape="rect" id="node5" href="_alerts_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/AlertsCapability\lAgent.cpp" alt="" coords="366,119,543,184"/>
<area shape="rect" id="node6" href="_alerts_capability_agent_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/test/AlertsCapability\lAgentTest.cpp" alt="" coords="567,119,748,184"/>
<area shape="rect" id="node7" href="_external_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/ExternalMediaPlayer/src\l/ExternalMediaPlayer.cpp" alt="" coords="771,119,944,184"/>
<area shape="rect" id="node8" href="_speaker_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeakerManager/src/SpeakerManager.cpp" alt="" coords="967,125,1246,177"/>
<area shape="rect" id="node9" href="_android_s_l_e_s_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/AndroidSLESMediaPlayer.cpp" alt="" coords="1270,125,1533,177"/>
<area shape="rect" id="node10" href="_android_s_l_e_s_speaker_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/AndroidSLESSpeaker.cpp" alt="" coords="1557,125,1801,177"/>
<area shape="rect" id="node11" href="_android_s_l_e_s_speaker_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/test/AndroidSLESSpeakerTest.cpp" alt="" coords="1825,125,2093,177"/>
<area shape="rect" id="node12" href="_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/src/MediaPlayer.cpp" alt="" coords="2116,125,2346,177"/>
<area shape="rect" id="node13" href="_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/test/MediaPlayerTest.cpp" alt="" coords="2369,125,2599,177"/>
<area shape="rect" id="node3" href="_external_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/ExternalMediaPlayer/test\l/ExternalMediaPlayerTest.cpp" alt="" coords="5,232,203,297"/>
</map>
</div>
</div>
<p><a href="_speaker_constants_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">alexaClientSDK::avsCommon::avs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html">alexaClientSDK::avsCommon::avs::speakerConstants</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a79b2cf2cf3f94c52de9557874d4014f4"><td class="memItemLeft" align="right" valign="top">const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a79b2cf2cf3f94c52de9557874d4014f4">alexaClientSDK::avsCommon::avs::speakerConstants::AVS_SET_VOLUME_MIN</a> = 0</td></tr>
<tr class="memdesc:a79b2cf2cf3f94c52de9557874d4014f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS setVolume Minimum.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a79b2cf2cf3f94c52de9557874d4014f4">More...</a><br /></td></tr>
<tr class="separator:a79b2cf2cf3f94c52de9557874d4014f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6405122107afaf3adb0373ad9ce736ab"><td class="memItemLeft" align="right" valign="top">const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a6405122107afaf3adb0373ad9ce736ab">alexaClientSDK::avsCommon::avs::speakerConstants::AVS_SET_VOLUME_MAX</a> = 100</td></tr>
<tr class="memdesc:a6405122107afaf3adb0373ad9ce736ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS setVolume Maximum.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a6405122107afaf3adb0373ad9ce736ab">More...</a><br /></td></tr>
<tr class="separator:a6405122107afaf3adb0373ad9ce736ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5451bad2815d091c699efa9d2845c22"><td class="memItemLeft" align="right" valign="top">const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#af5451bad2815d091c699efa9d2845c22">alexaClientSDK::avsCommon::avs::speakerConstants::AVS_ADJUST_VOLUME_MIN</a> = -100</td></tr>
<tr class="memdesc:af5451bad2815d091c699efa9d2845c22"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS adjustVolume Minimum.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#af5451bad2815d091c699efa9d2845c22">More...</a><br /></td></tr>
<tr class="separator:af5451bad2815d091c699efa9d2845c22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a218fbc357e2021068526453721bc293f"><td class="memItemLeft" align="right" valign="top">const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a218fbc357e2021068526453721bc293f">alexaClientSDK::avsCommon::avs::speakerConstants::AVS_ADJUST_VOLUME_MAX</a> = 100</td></tr>
<tr class="memdesc:a218fbc357e2021068526453721bc293f"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS adjustVolume Maximum.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a218fbc357e2021068526453721bc293f">More...</a><br /></td></tr>
<tr class="separator:a218fbc357e2021068526453721bc293f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48d3ac54cfa29e7eb471a2e3110785e9"><td class="memItemLeft" align="right" valign="top">const int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a48d3ac54cfa29e7eb471a2e3110785e9">alexaClientSDK::avsCommon::avs::speakerConstants::MIN_UNMUTE_VOLUME</a> = 10</td></tr>
<tr class="memdesc:a48d3ac54cfa29e7eb471a2e3110785e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default unmute volume level.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a48d3ac54cfa29e7eb471a2e3110785e9">More...</a><br /></td></tr>
<tr class="separator:a48d3ac54cfa29e7eb471a2e3110785e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
